Get list of work anniversaries from LinkedIn
POST /api/v1/get_work_anniversaries
This API allows the authenticated user to fetch a list of work anniversaries from their LinkedIn connections. The user can use this data to send congratulatory messages to individuals in their network who are celebrating their work anniversaries
Headers
| Name | Type | Required |
|---|---|---|
x-api-key | string | Yes |
x-api-secret | string | Yes |
Request Body
Schema
accountIdstringrequiredThe unique identifier of the WeLink account.
Sample Request
{
"accountId": "string"
}
Responses
Webhook Events
Schema
first_namestringrequiredFirst name of the profile.
last_namestringrequiredLast name of the profile.
full_namestringFull display name of the profile.
titlestringCurrent job title.
locationstringUser's geographic location.
industrystringUser's industry.
experiencearray[]List of work experience entries.
companystringCurrent company name.
imagestringURL of the profile picture.
linkedinstringLinkedin public identifier.
educationstringEducation summary.
summarystringProfile summary or about section.
emailstringThe email address associated with the LinkedIn account.
websiteobjectPersonal or company website URL.
birthdayobjectUser's birthday.
phoneobjectPhone number.
twitterobjectTwitter handle.
connectionsnumberNumber of LinkedIn connections.
addressobjectMailing address.
is_premiumbooleanWhether the user has LinkedIn Premium.
is_openlinkbooleanWhether the user accepts Open InMail.
is_connectedbooleanWhether you are connected with this user.
is_followingbooleanWhether you are following this user.
is_influencerbooleanWhether the user is a LinkedIn Influencer.
is_jobseekerbooleanWhether the user has the #OpenToWork badge.
can_send_open_inmailbooleanWhether you can send a free InMail to this user.
headlinestringProfile headline text.
followers_countnumberNumber of followers.
tracking_idstringLinkedIn internal tracking identifier.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
skillsarrayList of skills listed on the profile.